For the complete documentation index, see llms.txt.

Orders
PUT/api/orders/batchupdate

Batch Update Orders

You can use the batch update order api to update the carrier information on a list of unshipped orders. You can update:

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/batchupdate

Details

You can use the batch update order api to update the carrier information on a list of unshipped orders. You can update:

  • Product Code
  • Carrier Id

Batch Update Orders Request

Attribute Type Description
order_ids integer list List of order_id to be updated
product_code string Carrier service code for delivery
carrier_id string The id of the carrier that is used in the order

Batch Update Orders Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
    "order_ids": [
        128306022
    ],
    "product_code": "7B05",
    "carrier_id": "10"    
}

Response examples

Batch Update Orders (200)
{
    "success": true
}

Related endpoints